/*""FILE COMMENT""*************************************************************
* System Name	: External interrupt API
* File Name		: r_pdl_intc.h
* Version		: 1.21
* Contents		: External interrupt API header
* Customer		:
* Model			:
* Order			:
* CPU			: RX
* Compiler		: RXC
* OS			:
* Programmer	:
* Note			:
*******************************************************************************
* Copyright, 2014. Renesas Electronics Corporation and Renesas Solutions Corp.
*******************************************************************************
* History		: 2014.04.04
*				: Ver 1.21
*				: CS release
*""FILE COMMENT END""*********************************************************/

#ifndef R_PDL_INTC_H
#define R_PDL_INTC_H

#include "r_pdl_common_defs_RX63Nxx.h"

/* Function prototypes */
bool R_INTC_SetExtInterrupt(
	uint32_t,
	uint32_t
);
bool R_INTC_CreateExtInterrupt(
	uint8_t,
	uint32_t,
	void *,
	uint8_t
);
bool R_INTC_CreateSoftwareInterrupt(
	uint8_t,
	void *,
	uint8_t
);
bool R_INTC_CreateFastInterrupt(
	uint8_t
);
bool R_INTC_CreateExceptionHandlers(
	void *,
	void *,
	void *,
	void *
);
bool R_INTC_ControlExtInterrupt(
	uint8_t,
	uint32_t
);
bool R_INTC_GetExtInterruptStatus(
	uint8_t,
	uint8_t *
);
bool R_INTC_Read(
	uint16_t,
	uint8_t *
);
bool R_INTC_Write(
	uint16_t,
	uint8_t
);
bool R_INTC_Modify(
	uint16_t,
	uint8_t,
	uint8_t
);
bool R_INTC_CreateGroup(
	uint8_t,
	void *,
	uint8_t
);
bool R_INTC_ControlGroup(
	uint8_t,
	uint8_t,
	uint32_t
);
bool R_INTC_GetStatusGroup(
	uint8_t,
	uint32_t *
);
bool R_INTC_Control(
	uint16_t
);

/* IRQ0 to IRQ7 alternate pin selections */
#define PDL_INTC_IRQ0_P30	0x00000001ul
#define PDL_INTC_IRQ0_P10	0x00000002ul
#define PDL_INTC_IRQ0_PD0	0x00000004ul
#define PDL_INTC_IRQ1_P31	0x00000008ul
#define PDL_INTC_IRQ1_P11	0x00000010ul
#define PDL_INTC_IRQ1_PD1	0x00000020ul
#define PDL_INTC_IRQ2_P32	0x00000040ul
#define PDL_INTC_IRQ2_P12	0x00000080ul
#define PDL_INTC_IRQ2_PD2	0x00000100ul
#define PDL_INTC_IRQ3_P33	0x00000200ul
#define PDL_INTC_IRQ3_P13	0x00000400ul
#define PDL_INTC_IRQ3_PD3	0x00000800ul
#define PDL_INTC_IRQ4_PB1	0x00001000ul
#define PDL_INTC_IRQ4_P14	0x00002000ul
#define PDL_INTC_IRQ4_P34	0x00004000ul
#define PDL_INTC_IRQ4_PD4	0x00008000ul
#define PDL_INTC_IRQ4_PF5	0x00010000ul
#define PDL_INTC_IRQ5_PA4	0x00020000ul
#define PDL_INTC_IRQ5_P15	0x00040000ul
#define PDL_INTC_IRQ5_PD5	0x00080000ul
#define PDL_INTC_IRQ5_PE5	0x00100000ul
#define PDL_INTC_IRQ6_PA3	0x00200000ul
#define PDL_INTC_IRQ6_P16	0x00400000ul
#define PDL_INTC_IRQ6_PD6	0x00800000ul
#define PDL_INTC_IRQ6_PE6	0x01000000ul
#define PDL_INTC_IRQ7_PE2	0x02000000ul
#define PDL_INTC_IRQ7_P17	0x04000000ul
#define PDL_INTC_IRQ7_PD7	0x08000000ul
#define PDL_INTC_IRQ7_PE7	0x10000000ul

/* IRQ8 to IRQ15 alternate pin selections */
#define PDL_INTC_IRQ8_P40	0x00000001ul
#define PDL_INTC_IRQ8_P00	0x00000002ul
#define PDL_INTC_IRQ8_P20	0x00000004ul
#define PDL_INTC_IRQ9_P41	0x00000008ul
#define PDL_INTC_IRQ9_P01	0x00000010ul
#define PDL_INTC_IRQ9_P21	0x00000020ul
#define PDL_INTC_IRQ10_P42	0x00000040ul
#define PDL_INTC_IRQ10_P02	0x00000080ul
#define PDL_INTC_IRQ10_P55	0x00000100ul
#define PDL_INTC_IRQ11_P43	0x00000200ul
#define PDL_INTC_IRQ11_P03	0x00000400ul
#define PDL_INTC_IRQ11_PA1	0x00000800ul
#define PDL_INTC_IRQ12_P44	0x00001000ul
#define PDL_INTC_IRQ12_PB0	0x00002000ul
#define PDL_INTC_IRQ12_PC1	0x00004000ul
#define PDL_INTC_IRQ13_P45	0x00008000ul
#define PDL_INTC_IRQ13_P05	0x00010000ul
#define PDL_INTC_IRQ13_PC6	0x00020000ul
#define PDL_INTC_IRQ14_P46	0x00040000ul
#define PDL_INTC_IRQ14_PC0	0x00080000ul
#define PDL_INTC_IRQ14_PC7	0x00100000ul
#define PDL_INTC_IRQ15_P47	0x00200000ul
#define PDL_INTC_IRQ15_P07	0x00400000ul
#define PDL_INTC_IRQ15_P67	0x00800000ul

/* Interrupt pins */
#define PDL_INTC_IRQ0			0
#define PDL_INTC_IRQ1			1
#define PDL_INTC_IRQ2			2
#define PDL_INTC_IRQ3			3
#define PDL_INTC_IRQ4			4
#define PDL_INTC_IRQ5			5
#define PDL_INTC_IRQ6			6
#define PDL_INTC_IRQ7			7
#define PDL_INTC_IRQ8			8
#define PDL_INTC_IRQ9			9
#define PDL_INTC_IRQ10			10
#define PDL_INTC_IRQ11			11
#define PDL_INTC_IRQ12			12
#define PDL_INTC_IRQ13			13
#define PDL_INTC_IRQ14			14
#define PDL_INTC_IRQ15			15
#define PDL_INTC_PRIVILEGED		16
#define PDL_INTC_ACCESS			17
#define PDL_INTC_UNDEFINED		18
#define PDL_INTC_FLOATING_POINT 19
#define PDL_INTC_NMI			20
#define PDL_INTC_SWINT			21

/* Detection sense selection */
#define PDL_INTC_LOW						0x00000001ul
#define PDL_INTC_FALLING					0x00000002ul
#define PDL_INTC_RISING						0x00000004ul
#define PDL_INTC_BOTH						0x00000008ul

/* Digital filter selection */
#define PDL_INTC_FILTER_DISABLE				0x00000010ul
#define PDL_INTC_FILTER_DIV_1				0x00000020ul
#define PDL_INTC_FILTER_DIV_8				0x00000040ul
#define PDL_INTC_FILTER_DIV_32				0x00000080ul
#define PDL_INTC_FILTER_DIV_64				0x00000100ul

/* DMAC / DTC trigger control */
#define PDL_INTC_DMAC_DTC_TRIGGER_DISABLE	0x00000200ul
#define PDL_INTC_DMAC_TRIGGER_ENABLE		0x00000400ul
#define PDL_INTC_DTC_TRIGGER_ENABLE			0x00000800ul

/* Oscillation stop detection control */
#define PDL_INTC_OSD_DISABLE				0x00001000ul
#define PDL_INTC_OSD_ENABLE					0x00002000ul

/* WDT detection control */
#define PDL_INTC_WDT_DISABLE				0x00004000ul
#define PDL_INTC_WDT_ENABLE					0x00008000ul

/* IWDT detection control */
#define PDL_INTC_IWDT_DISABLE				0x00010000ul
#define PDL_INTC_IWDT_ENABLE				0x00020000ul

/* LVD1 detection control */
#define PDL_INTC_LVD1_DISABLE				0x00040000ul
#define PDL_INTC_LVD1_ENABLE				0x00080000ul

/* LVD2 detection control */
#define PDL_INTC_LVD2_DISABLE				0x00100000ul
#define PDL_INTC_LVD2_ENABLE				0x00200000ul

/* Interrupt control */
#define PDL_INTC_ENABLE						0x00400000ul
#define PDL_INTC_DISABLE					0x00800000ul

/* Flag control */
#define PDL_INTC_CLEAR_IR_FLAG				0x01000000ul
#define PDL_INTC_CLEAR_OSD_FLAG				0x02000000ul
#define PDL_INTC_CLEAR_WDT_FLAG				0x04000000ul
#define PDL_INTC_CLEAR_IWDT_FLAG			0x08000000ul
#define PDL_INTC_CLEAR_LVD1_FLAG			0x10000000ul
#define PDL_INTC_CLEAR_LVD2_FLAG			0x20000000ul

/* DTC software trigger control */
#define PDL_INTC_DTC_SW_TRIGGER_DISABLE	0x01u
#define PDL_INTC_DTC_SW_TRIGGER_ENABLE	0x02u

/* Interrupt registers */
#define PDL_INTC_REG_IPL	0x0100u
#define PDL_INTC_REG_IR		0x0200u
#define PDL_INTC_REG_IER	0x0400u
#define PDL_INTC_REG_IPR	0x0800u
#define PDL_INTC_REG_DTCER	0x1000u
#define PDL_INTC_REG_SWINTR	0x2000u

/* Logical operations */
#define PDL_INTC_AND	0x01u
#define PDL_INTC_OR		0x02u
#define PDL_INTC_XOR	0x04u

/* IR registers */
#define PDL_INTC_REG_IR_BSC_BUSERR		(PDL_INTC_REG_IR | IR_BSC_BUSERR)
#define PDL_INTC_REG_IR_FCU_FIFERR		(PDL_INTC_REG_IR | IR_FCU_FIFERR)
#define PDL_INTC_REG_IR_FCU_FRDYI		(PDL_INTC_REG_IR | IR_FCU_FRDYI)
#define PDL_INTC_REG_IR_ICU_SWINT		(PDL_INTC_REG_IR | IR_ICU_SWINT)
#define PDL_INTC_REG_IR_CMT0_CMI		(PDL_INTC_REG_IR | IR_CMT0_CMI0)
#define PDL_INTC_REG_IR_CMT1_CMI		(PDL_INTC_REG_IR | IR_CMT1_CMI1)
#define PDL_INTC_REG_IR_CMT2_CMI		(PDL_INTC_REG_IR | IR_CMT2_CMI2)
#define PDL_INTC_REG_IR_CMT3_CMI		(PDL_INTC_REG_IR | IR_CMT3_CMI3)
#define PDL_INTC_REG_IR_ETHER_EINT		(PDL_INTC_REG_IR | IR_ETHER_EINT)
#define PDL_INTC_REG_IR_USB0_D0FIFO		(PDL_INTC_REG_IR | IR_USB0_D0FIFO0)
#define PDL_INTC_REG_IR_USB0_D1FIFO		(PDL_INTC_REG_IR | IR_USB0_D1FIFO0)
#define PDL_INTC_REG_IR_USB0_USBI		(PDL_INTC_REG_IR | IR_USB0_USBI0)
#define PDL_INTC_REG_IR_USB1_D0FIFO		(PDL_INTC_REG_IR | IR_USB1_D0FIFO1)
#define PDL_INTC_REG_IR_USB1_D1FIFO		(PDL_INTC_REG_IR | IR_USB1_D1FIFO1)
#define PDL_INTC_REG_IR_USB1_USBI		(PDL_INTC_REG_IR | IR_USB1_USBI1)
#define PDL_INTC_REG_IR_SPI0_SPRI		(PDL_INTC_REG_IR | IR_RSPI0_SPRI0)
#define PDL_INTC_REG_IR_SPI0_SPTI		(PDL_INTC_REG_IR | IR_RSPI0_SPTI0)
#define PDL_INTC_REG_IR_SPI0_SPII		(PDL_INTC_REG_IR | IR_RSPI0_SPII0)
#define PDL_INTC_REG_IR_SPI1_SPRI		(PDL_INTC_REG_IR | IR_RSPI1_SPRI1)
#define PDL_INTC_REG_IR_SPI1_SPTI		(PDL_INTC_REG_IR | IR_RSPI1_SPTI1)
#define PDL_INTC_REG_IR_SPI1_SPII		(PDL_INTC_REG_IR | IR_RSPI1_SPII1)
#define PDL_INTC_REG_IR_SPI2_SPRI		(PDL_INTC_REG_IR | IR_RSPI2_SPRI2)
#define PDL_INTC_REG_IR_SPI2_SPTI		(PDL_INTC_REG_IR | IR_RSPI2_SPTI2)
#define PDL_INTC_REG_IR_SPI2_SPII		(PDL_INTC_REG_IR | IR_RSPI2_SPII2)
#define PDL_INTC_REG_IR_CAN0_RXF		(PDL_INTC_REG_IR | IR_CAN0_RXF0)
#define PDL_INTC_REG_IR_CAN0_TXF		(PDL_INTC_REG_IR | IR_CAN0_TXF0)
#define PDL_INTC_REG_IR_CAN0_RXM		(PDL_INTC_REG_IR | IR_CAN0_RXM0)
#define PDL_INTC_REG_IR_CAN0_TXM		(PDL_INTC_REG_IR | IR_CAN0_TXM0)
#define PDL_INTC_REG_IR_CAN1_RXF		(PDL_INTC_REG_IR | IR_CAN1_RXF1)
#define PDL_INTC_REG_IR_CAN1_TXF		(PDL_INTC_REG_IR | IR_CAN1_TXF1)
#define PDL_INTC_REG_IR_CAN1_RXM		(PDL_INTC_REG_IR | IR_CAN1_RXM1)
#define PDL_INTC_REG_IR_CAN1_TXM		(PDL_INTC_REG_IR | IR_CAN1_TXM1)
#define PDL_INTC_REG_IR_CAN2_RXF		(PDL_INTC_REG_IR | IR_CAN2_RXF2)
#define PDL_INTC_REG_IR_CAN2_TXF		(PDL_INTC_REG_IR | IR_CAN2_TXF2)
#define PDL_INTC_REG_IR_CAN2_RXM		(PDL_INTC_REG_IR | IR_CAN2_RXM2)
#define PDL_INTC_REG_IR_CAN2_TXM		(PDL_INTC_REG_IR | IR_CAN2_TXM2)
#define PDL_INTC_REG_IR_RTC_CUP			(PDL_INTC_REG_IR | IR_RTC_CUP)
#define PDL_INTC_REG_IR_ICU_IRQ0		(PDL_INTC_REG_IR | IR_ICU_IRQ0)
#define PDL_INTC_REG_IR_ICU_IRQ1		(PDL_INTC_REG_IR | IR_ICU_IRQ1)
#define PDL_INTC_REG_IR_ICU_IRQ2		(PDL_INTC_REG_IR | IR_ICU_IRQ2)
#define PDL_INTC_REG_IR_ICU_IRQ3		(PDL_INTC_REG_IR | IR_ICU_IRQ3)
#define PDL_INTC_REG_IR_ICU_IRQ4		(PDL_INTC_REG_IR | IR_ICU_IRQ4)
#define PDL_INTC_REG_IR_ICU_IRQ5		(PDL_INTC_REG_IR | IR_ICU_IRQ5)
#define PDL_INTC_REG_IR_ICU_IRQ6		(PDL_INTC_REG_IR | IR_ICU_IRQ6)
#define PDL_INTC_REG_IR_ICU_IRQ7		(PDL_INTC_REG_IR | IR_ICU_IRQ7)
#define PDL_INTC_REG_IR_ICU_IRQ8		(PDL_INTC_REG_IR | IR_ICU_IRQ8)
#define PDL_INTC_REG_IR_ICU_IRQ9		(PDL_INTC_REG_IR | IR_ICU_IRQ9)
#define PDL_INTC_REG_IR_ICU_IRQ10		(PDL_INTC_REG_IR | IR_ICU_IRQ10)
#define PDL_INTC_REG_IR_ICU_IRQ11		(PDL_INTC_REG_IR | IR_ICU_IRQ11)
#define PDL_INTC_REG_IR_ICU_IRQ12		(PDL_INTC_REG_IR | IR_ICU_IRQ12)
#define PDL_INTC_REG_IR_ICU_IRQ13		(PDL_INTC_REG_IR | IR_ICU_IRQ13)
#define PDL_INTC_REG_IR_ICU_IRQ14		(PDL_INTC_REG_IR | IR_ICU_IRQ14)
#define PDL_INTC_REG_IR_ICU_IRQ15		(PDL_INTC_REG_IR | IR_ICU_IRQ15)
#define PDL_INTC_REG_IR_USB0_USBR		(PDL_INTC_REG_IR | IR_USB_USBR0)
#define PDL_INTC_REG_IR_USB1_USBR		(PDL_INTC_REG_IR | IR_USB_USBR1)
#define PDL_INTC_REG_IR_RTC_ALM			(PDL_INTC_REG_IR | IR_RTC_ALM)
#define PDL_INTC_REG_IR_RTC_PRD			(PDL_INTC_REG_IR | IR_RTC_PRD)
#define PDL_INTC_REG_IR_AD_ADI			(PDL_INTC_REG_IR | IR_AD_ADI0)
#define PDL_INTC_REG_IR_S12AD_S12ADI	(PDL_INTC_REG_IR | IR_S12AD_S12ADI0)
#define PDL_INTC_REG_IR_ICU_GROUP0		(PDL_INTC_REG_IR | IR_ICU_GROUP0)
#define PDL_INTC_REG_IR_ICU_GROUP1		(PDL_INTC_REG_IR | IR_ICU_GROUP1)
#define PDL_INTC_REG_IR_ICU_GROUP2		(PDL_INTC_REG_IR | IR_ICU_GROUP2)
#define PDL_INTC_REG_IR_ICU_GROUP3		(PDL_INTC_REG_IR | IR_ICU_GROUP3)
#define PDL_INTC_REG_IR_ICU_GROUP4		(PDL_INTC_REG_IR | IR_ICU_GROUP4)
#define PDL_INTC_REG_IR_ICU_GROUP5		(PDL_INTC_REG_IR | IR_ICU_GROUP5)
#define PDL_INTC_REG_IR_ICU_GROUP6		(PDL_INTC_REG_IR | IR_ICU_GROUP6)
#define PDL_INTC_REG_IR_ICU_GROUP12		(PDL_INTC_REG_IR | IR_ICU_GROUP12)
#define PDL_INTC_REG_IR_SCI12_SCIX0		(PDL_INTC_REG_IR | IR_SCI12_SCIX0)
#define PDL_INTC_REG_IR_SCI12_SCIX1		(PDL_INTC_REG_IR | IR_SCI12_SCIX1)
#define PDL_INTC_REG_IR_SCI12_SCIX2		(PDL_INTC_REG_IR | IR_SCI12_SCIX2)
#define PDL_INTC_REG_IR_SCI12_SCIX3		(PDL_INTC_REG_IR | IR_SCI12_SCIX3)
#define PDL_INTC_REG_IR_TPU0_TGIA		(PDL_INTC_REG_IR | IR_TPU0_TGI0A)
#define PDL_INTC_REG_IR_TPU0_TGIB		(PDL_INTC_REG_IR | IR_TPU0_TGI0B)
#define PDL_INTC_REG_IR_TPU0_TGIC		(PDL_INTC_REG_IR | IR_TPU0_TGI0C)
#define PDL_INTC_REG_IR_TPU0_TGID		(PDL_INTC_REG_IR | IR_TPU0_TGI0D)
#define PDL_INTC_REG_IR_TPU1_TGIA		(PDL_INTC_REG_IR | IR_TPU1_TGI1A)
#define PDL_INTC_REG_IR_TPU1_TGIB		(PDL_INTC_REG_IR | IR_TPU1_TGI1B)
#define PDL_INTC_REG_IR_TPU2_TGIA		(PDL_INTC_REG_IR | IR_TPU2_TGI2A)
#define PDL_INTC_REG_IR_TPU2_TGIB		(PDL_INTC_REG_IR | IR_TPU2_TGI2B)
#define PDL_INTC_REG_IR_TPU3_TGIA		(PDL_INTC_REG_IR | IR_TPU3_TGI3A)
#define PDL_INTC_REG_IR_TPU3_TGIB		(PDL_INTC_REG_IR | IR_TPU3_TGI3B)
#define PDL_INTC_REG_IR_TPU3_TGIC		(PDL_INTC_REG_IR | IR_TPU3_TGI3C)
#define PDL_INTC_REG_IR_TPU3_TGID		(PDL_INTC_REG_IR | IR_TPU3_TGI3D)
#define PDL_INTC_REG_IR_TPU4_TGIA		(PDL_INTC_REG_IR | IR_TPU4_TGI4A)
#define PDL_INTC_REG_IR_TPU4_TGIB		(PDL_INTC_REG_IR | IR_TPU4_TGI4B)
#define PDL_INTC_REG_IR_TPU5_TGIA		(PDL_INTC_REG_IR | IR_TPU5_TGI5A)
#define PDL_INTC_REG_IR_TPU5_TGIB		(PDL_INTC_REG_IR | IR_TPU5_TGI5B)
#define PDL_INTC_REG_IR_TPU6_TGIA		(PDL_INTC_REG_IR | IR_TPU6_TGI6A)
#define PDL_INTC_REG_IR_TPU6_TGIB		(PDL_INTC_REG_IR | IR_TPU6_TGI6B)
#define PDL_INTC_REG_IR_TPU6_TGIC		(PDL_INTC_REG_IR | IR_TPU6_TGI6C)
#define PDL_INTC_REG_IR_TPU6_TGID		(PDL_INTC_REG_IR | IR_TPU6_TGI6D)
#define PDL_INTC_REG_IR_TPU7_TGIA		(PDL_INTC_REG_IR | IR_TPU7_TGI7A)
#define PDL_INTC_REG_IR_TPU7_TGIB		(PDL_INTC_REG_IR | IR_TPU7_TGI7B)
#define PDL_INTC_REG_IR_TPU8_TGIA		(PDL_INTC_REG_IR | IR_TPU8_TGI8A)
#define PDL_INTC_REG_IR_TPU8_TGIB		(PDL_INTC_REG_IR | IR_TPU8_TGI8B)
#define PDL_INTC_REG_IR_TPU9_TGIA		(PDL_INTC_REG_IR | IR_TPU9_TGI9A)
#define PDL_INTC_REG_IR_TPU9_TGIB		(PDL_INTC_REG_IR | IR_TPU9_TGI9B)
#define PDL_INTC_REG_IR_TPU9_TGIC		(PDL_INTC_REG_IR | IR_TPU9_TGI9C)
#define PDL_INTC_REG_IR_TPU9_TGID		(PDL_INTC_REG_IR | IR_TPU9_TGI9D)
#define PDL_INTC_REG_IR_TPU10_TGIA		(PDL_INTC_REG_IR | IR_MTU4_TGIA4)
#define PDL_INTC_REG_IR_TPU10_TGIB		(PDL_INTC_REG_IR | IR_MTU4_TGIB4)
#define PDL_INTC_REG_IR_MTU0_TGIA		(PDL_INTC_REG_IR | IR_MTU0_TGIA0)
#define PDL_INTC_REG_IR_MTU0_TGIB		(PDL_INTC_REG_IR | IR_MTU0_TGIB0)
#define PDL_INTC_REG_IR_MTU0_TGIC		(PDL_INTC_REG_IR | IR_MTU0_TGIC0)
#define PDL_INTC_REG_IR_MTU0_TGID		(PDL_INTC_REG_IR | IR_MTU0_TGID0)
#define PDL_INTC_REG_IR_MTU0_TGIE		(PDL_INTC_REG_IR | IR_MTU0_TGIE0)
#define PDL_INTC_REG_IR_MTU0_TGIF		(PDL_INTC_REG_IR | IR_MTU0_TGIF0)
#define PDL_INTC_REG_IR_MTU1_TGIA		(PDL_INTC_REG_IR | IR_MTU1_TGIA1)
#define PDL_INTC_REG_IR_MTU1_TGIB		(PDL_INTC_REG_IR | IR_MTU1_TGIB1)
#define PDL_INTC_REG_IR_MTU2_TGIA		(PDL_INTC_REG_IR | IR_MTU2_TGIA2)
#define PDL_INTC_REG_IR_MTU2_TGIB		(PDL_INTC_REG_IR | IR_MTU2_TGIB2)
#define PDL_INTC_REG_IR_MTU3_TGIA		(PDL_INTC_REG_IR | IR_MTU3_TGIA3)
#define PDL_INTC_REG_IR_MTU3_TGIB		(PDL_INTC_REG_IR | IR_MTU3_TGIB3)
#define PDL_INTC_REG_IR_MTU3_TGIC		(PDL_INTC_REG_IR | IR_MTU3_TGIC3)
#define PDL_INTC_REG_IR_MTU3_TGID		(PDL_INTC_REG_IR | IR_MTU3_TGID3)
#define PDL_INTC_REG_IR_MTU4_TGIA		(PDL_INTC_REG_IR | IR_MTU4_TGIA4)
#define PDL_INTC_REG_IR_MTU4_TGIB		(PDL_INTC_REG_IR | IR_MTU4_TGIB4)
#define PDL_INTC_REG_IR_MTU4_TGIC		(PDL_INTC_REG_IR | IR_MTU4_TGIC4)
#define PDL_INTC_REG_IR_MTU4_TGID		(PDL_INTC_REG_IR | IR_MTU4_TGID4)
#define PDL_INTC_REG_IR_MTU4_TCIV		(PDL_INTC_REG_IR | IR_MTU4_TCIV4)
#define PDL_INTC_REG_IR_MTU5_TGIU		(PDL_INTC_REG_IR | IR_MTU5_TGIU5)
#define PDL_INTC_REG_IR_MTU5_TGIV		(PDL_INTC_REG_IR | IR_MTU5_TGIV5)
#define PDL_INTC_REG_IR_MTU5_TGIW		(PDL_INTC_REG_IR | IR_MTU5_TGIW5)
#define PDL_INTC_REG_IR_TPU11_TGIA		(PDL_INTC_REG_IR | IR_TPU11_TGI11A)
#define PDL_INTC_REG_IR_TPU11_TGIB		(PDL_INTC_REG_IR | IR_TPU11_TGI11B)
#define PDL_INTC_REG_IR_POE_OEI1		(PDL_INTC_REG_IR | IR_POE_OEI1)
#define PDL_INTC_REG_IR_POE_OEI2		(PDL_INTC_REG_IR | IR_POE_OEI2)
#define PDL_INTC_REG_IR_TMR0_CMIA		(PDL_INTC_REG_IR | IR_TMR0_CMIA0)
#define PDL_INTC_REG_IR_TMR0_CMIB		(PDL_INTC_REG_IR | IR_TMR0_CMIB0)
#define PDL_INTC_REG_IR_TMR0_OVI		(PDL_INTC_REG_IR | IR_TMR0_OVI0)
#define PDL_INTC_REG_IR_TMR1_CMIA		(PDL_INTC_REG_IR | IR_TMR1_CMIA1)
#define PDL_INTC_REG_IR_TMR1_CMIB		(PDL_INTC_REG_IR | IR_TMR1_CMIB1)
#define PDL_INTC_REG_IR_TMR1_OVI		(PDL_INTC_REG_IR | IR_TMR1_OVI1)
#define PDL_INTC_REG_IR_TMR2_CMIA		(PDL_INTC_REG_IR | IR_TMR2_CMIA2)
#define PDL_INTC_REG_IR_TMR2_CMIB		(PDL_INTC_REG_IR | IR_TMR2_CMIB2)
#define PDL_INTC_REG_IR_TMR2_OVI		(PDL_INTC_REG_IR | IR_TMR2_OVI2)
#define PDL_INTC_REG_IR_TMR3_CMIA		(PDL_INTC_REG_IR | IR_TMR3_CMIA3)
#define PDL_INTC_REG_IR_TMR3_CMIB		(PDL_INTC_REG_IR | IR_TMR3_CMIB3)
#define PDL_INTC_REG_IR_TMR3_OVI		(PDL_INTC_REG_IR | IR_TMR3_OVI3)
#define PDL_INTC_REG_IR_IIC0_EEI		(PDL_INTC_REG_IR | IR_RIIC0_EEI0)
#define PDL_INTC_REG_IR_IIC0_RXI		(PDL_INTC_REG_IR | IR_RIIC0_RXI0)
#define PDL_INTC_REG_IR_IIC0_TXI		(PDL_INTC_REG_IR | IR_RIIC0_TXI0)
#define PDL_INTC_REG_IR_IIC0_TEI		(PDL_INTC_REG_IR | IR_RIIC0_TEI0)
#define PDL_INTC_REG_IR_IIC1_EEI		(PDL_INTC_REG_IR | IR_RIIC1_EEI1)
#define PDL_INTC_REG_IR_IIC1_RXI		(PDL_INTC_REG_IR | IR_RIIC1_RXI1)
#define PDL_INTC_REG_IR_IIC1_TXI		(PDL_INTC_REG_IR | IR_RIIC1_TXI1)
#define PDL_INTC_REG_IR_IIC1_TEI		(PDL_INTC_REG_IR | IR_RIIC1_TEI1)
#define PDL_INTC_REG_IR_IIC2_EEI		(PDL_INTC_REG_IR | IR_RIIC2_EEI2)
#define PDL_INTC_REG_IR_IIC2_RXI		(PDL_INTC_REG_IR | IR_RIIC2_RXI2)
#define PDL_INTC_REG_IR_IIC2_TXI		(PDL_INTC_REG_IR | IR_RIIC2_TXI2)
#define PDL_INTC_REG_IR_IIC2_TEI		(PDL_INTC_REG_IR | IR_RIIC2_TEI2)
#define PDL_INTC_REG_IR_IIC3_EEI		(PDL_INTC_REG_IR | IR_RIIC3_EEI3)
#define PDL_INTC_REG_IR_IIC3_RXI		(PDL_INTC_REG_IR | IR_RIIC3_RXI3)
#define PDL_INTC_REG_IR_IIC3_TXI		(PDL_INTC_REG_IR | IR_RIIC3_TXI3)
#define PDL_INTC_REG_IR_IIC3_TEI		(PDL_INTC_REG_IR | IR_RIIC3_TEI3)
#define PDL_INTC_REG_IR_DMAC_DMAC0I		(PDL_INTC_REG_IR | IR_DMAC_DMAC0I)
#define PDL_INTC_REG_IR_DMAC_DMAC1I		(PDL_INTC_REG_IR | IR_DMAC_DMAC1I)
#define PDL_INTC_REG_IR_DMAC_DMAC2I		(PDL_INTC_REG_IR | IR_DMAC_DMAC2I)
#define PDL_INTC_REG_IR_DMAC_DMAC3I		(PDL_INTC_REG_IR | IR_DMAC_DMAC3I)
#define PDL_INTC_REG_IR_EXDMAC_EXDMAC0I	(PDL_INTC_REG_IR | IR_EXDMAC_EXDMAC0I)
#define PDL_INTC_REG_IR_EXDMAC_EXDMAC1I	(PDL_INTC_REG_IR | IR_EXDMAC_EXDMAC1I)
#define PDL_INTC_REG_IR_SCI0_RXI		(PDL_INTC_REG_IR | IR_SCI0_RXI0)
#define PDL_INTC_REG_IR_SCI0_TXI		(PDL_INTC_REG_IR | IR_SCI0_TXI0)
#define PDL_INTC_REG_IR_SCI0_TEI		(PDL_INTC_REG_IR | IR_SCI0_TEI0)
#define PDL_INTC_REG_IR_SCI1_RXI		(PDL_INTC_REG_IR | IR_SCI1_RXI1)
#define PDL_INTC_REG_IR_SCI1_TXI		(PDL_INTC_REG_IR | IR_SCI1_TXI1)
#define PDL_INTC_REG_IR_SCI1_TEI		(PDL_INTC_REG_IR | IR_SCI1_TEI1)
#define PDL_INTC_REG_IR_SCI2_RXI		(PDL_INTC_REG_IR | IR_SCI2_RXI2)
#define PDL_INTC_REG_IR_SCI2_TXI		(PDL_INTC_REG_IR | IR_SCI2_TXI2)
#define PDL_INTC_REG_IR_SCI2_TEI		(PDL_INTC_REG_IR | IR_SCI2_TEI2)
#define PDL_INTC_REG_IR_SCI3_RXI		(PDL_INTC_REG_IR | IR_SCI3_RXI3)
#define PDL_INTC_REG_IR_SCI3_TXI		(PDL_INTC_REG_IR | IR_SCI3_TXI3)
#define PDL_INTC_REG_IR_SCI3_TEI		(PDL_INTC_REG_IR | IR_SCI3_TEI3)
#define PDL_INTC_REG_IR_SCI4_RXI		(PDL_INTC_REG_IR | IR_SCI4_RXI4)
#define PDL_INTC_REG_IR_SCI4_TXI		(PDL_INTC_REG_IR | IR_SCI4_TXI4)
#define PDL_INTC_REG_IR_SCI4_TEI		(PDL_INTC_REG_IR | IR_SCI4_TEI4)
#define PDL_INTC_REG_IR_SCI5_RXI		(PDL_INTC_REG_IR | IR_SCI5_RXI5)
#define PDL_INTC_REG_IR_SCI5_TXI		(PDL_INTC_REG_IR | IR_SCI5_TXI5)
#define PDL_INTC_REG_IR_SCI5_TEI		(PDL_INTC_REG_IR | IR_SCI5_TEI5)
#define PDL_INTC_REG_IR_SCI6_RXI		(PDL_INTC_REG_IR | IR_SCI6_RXI6)
#define PDL_INTC_REG_IR_SCI6_TXI		(PDL_INTC_REG_IR | IR_SCI6_TXI6)
#define PDL_INTC_REG_IR_SCI6_TEI		(PDL_INTC_REG_IR | IR_SCI6_TEI6)
#define PDL_INTC_REG_IR_SCI7_RXI		(PDL_INTC_REG_IR | IR_SCI7_RXI7)
#define PDL_INTC_REG_IR_SCI7_TXI		(PDL_INTC_REG_IR | IR_SCI7_TXI7)
#define PDL_INTC_REG_IR_SCI7_TEI		(PDL_INTC_REG_IR | IR_SCI7_TEI7)
#define PDL_INTC_REG_IR_SCI8_RXI		(PDL_INTC_REG_IR | IR_SCI8_RXI8)
#define PDL_INTC_REG_IR_SCI8_TXI		(PDL_INTC_REG_IR | IR_SCI8_TXI8)
#define PDL_INTC_REG_IR_SCI8_TEI		(PDL_INTC_REG_IR | IR_SCI8_TEI8)
#define PDL_INTC_REG_IR_SCI9_RXI		(PDL_INTC_REG_IR | IR_SCI9_RXI9)
#define PDL_INTC_REG_IR_SCI9_TXI		(PDL_INTC_REG_IR | IR_SCI9_TXI9)
#define PDL_INTC_REG_IR_SCI9_TEI		(PDL_INTC_REG_IR | IR_SCI9_TEI9)
#define PDL_INTC_REG_IR_SCI10_RXI		(PDL_INTC_REG_IR | IR_SCI10_RXI10)
#define PDL_INTC_REG_IR_SCI10_TXI		(PDL_INTC_REG_IR | IR_SCI10_TXI10)
#define PDL_INTC_REG_IR_SCI10_TEI		(PDL_INTC_REG_IR | IR_SCI10_TEI10)
#define PDL_INTC_REG_IR_SCI11_RXI		(PDL_INTC_REG_IR | IR_SCI11_RXI11)
#define PDL_INTC_REG_IR_SCI11_TXI		(PDL_INTC_REG_IR | IR_SCI11_TXI11)
#define PDL_INTC_REG_IR_SCI11_TEI		(PDL_INTC_REG_IR | IR_SCI11_TEI11)
#define PDL_INTC_REG_IR_SCI12_RXI		(PDL_INTC_REG_IR | IR_SCI12_RXI12)
#define PDL_INTC_REG_IR_SCI12_TXI		(PDL_INTC_REG_IR | IR_SCI12_TXI12)
#define PDL_INTC_REG_IR_SCI12_TEI		(PDL_INTC_REG_IR | IR_SCI12_TEI12)
#define PDL_INTC_REG_IR_IEB_IEBINT		(PDL_INTC_REG_IR | IR_IEB_IEBINT)

/* IER registers */
#define PDL_INTC_REG_IER02	(PDL_INTC_REG_IER | 0x02u)
#define PDL_INTC_REG_IER03	(PDL_INTC_REG_IER | 0x03u)
#define PDL_INTC_REG_IER04	(PDL_INTC_REG_IER | 0x04u)
#define PDL_INTC_REG_IER05	(PDL_INTC_REG_IER | 0x05u)
#define PDL_INTC_REG_IER06	(PDL_INTC_REG_IER | 0x06u)
#define PDL_INTC_REG_IER07	(PDL_INTC_REG_IER | 0x07u)
#define PDL_INTC_REG_IER08	(PDL_INTC_REG_IER | 0x08u)
#define PDL_INTC_REG_IER09	(PDL_INTC_REG_IER | 0x09u)
#define PDL_INTC_REG_IER0B	(PDL_INTC_REG_IER | 0x0Bu)
#define PDL_INTC_REG_IER0C	(PDL_INTC_REG_IER | 0x0Cu)
#define PDL_INTC_REG_IER0D	(PDL_INTC_REG_IER | 0x0Du)
#define PDL_INTC_REG_IER0E	(PDL_INTC_REG_IER | 0x0Eu)
#define PDL_INTC_REG_IER0F	(PDL_INTC_REG_IER | 0x0Fu)
#define PDL_INTC_REG_IER10	(PDL_INTC_REG_IER | 0x10u)
#define PDL_INTC_REG_IER11	(PDL_INTC_REG_IER | 0x11u)
#define PDL_INTC_REG_IER12	(PDL_INTC_REG_IER | 0x12u)
#define PDL_INTC_REG_IER13	(PDL_INTC_REG_IER | 0x13u)
#define PDL_INTC_REG_IER14	(PDL_INTC_REG_IER | 0x14u)
#define PDL_INTC_REG_IER15	(PDL_INTC_REG_IER | 0x15u)
#define PDL_INTC_REG_IER16	(PDL_INTC_REG_IER | 0x16u)
#define PDL_INTC_REG_IER17	(PDL_INTC_REG_IER | 0x17u)
#define PDL_INTC_REG_IER18	(PDL_INTC_REG_IER | 0x18u)
#define PDL_INTC_REG_IER19	(PDL_INTC_REG_IER | 0x19u)
#define PDL_INTC_REG_IER1A	(PDL_INTC_REG_IER | 0x1Au)
#define PDL_INTC_REG_IER1B	(PDL_INTC_REG_IER | 0x1Bu)
#define PDL_INTC_REG_IER1C	(PDL_INTC_REG_IER | 0x1Cu)
#define PDL_INTC_REG_IER1D	(PDL_INTC_REG_IER | 0x1Du)
#define PDL_INTC_REG_IER1E	(PDL_INTC_REG_IER | 0x1Eu)
#define PDL_INTC_REG_IER1F	(PDL_INTC_REG_IER | 0x1Fu)

/* IPR registers */
#define PDL_INTC_REG_IPR_BSC_BUSERR			(PDL_INTC_REG_IPR | IPR_BSC_BUSERR)
#define PDL_INTC_REG_IPR_FCU_FIFERR			(PDL_INTC_REG_IPR | IPR_FCU_FIFERR)
#define PDL_INTC_REG_IPR_FCU_FRDYI			(PDL_INTC_REG_IPR | IPR_FCU_FRDYI)
#define PDL_INTC_REG_IPR_ICU_SWINT			(PDL_INTC_REG_IPR | IPR_ICU_SWINT)
#define PDL_INTC_REG_IPR_CMT0_CMI			(PDL_INTC_REG_IPR | IPR_CMT0_CMI0)
#define PDL_INTC_REG_IPR_CMT1_CMI			(PDL_INTC_REG_IPR | IPR_CMT1_CMI1)
#define PDL_INTC_REG_IPR_CMT2_CMI			(PDL_INTC_REG_IPR | IPR_CMT2_CMI2)
#define PDL_INTC_REG_IPR_CMT3_CMI			(PDL_INTC_REG_IPR | IPR_CMT3_CMI3)
#define PDL_INTC_REG_IPR_ETHER_EINT			(PDL_INTC_REG_IPR | IPR_ETHER_EINT)
#define PDL_INTC_REG_IPR_USB0_D0FIFO		(PDL_INTC_REG_IPR | IPR_USB0_D0FIFO0)
#define PDL_INTC_REG_IPR_USB0_D1FIFO		(PDL_INTC_REG_IPR | IPR_USB0_D1FIFO0)
#define PDL_INTC_REG_IPR_USB0_USBI			(PDL_INTC_REG_IPR | IPR_USB0_USBI0)
#define PDL_INTC_REG_IPR_USB1_D0FIFO		(PDL_INTC_REG_IPR | IPR_USB1_D0FIFO1)
#define PDL_INTC_REG_IPR_USB1_D1FIFO		(PDL_INTC_REG_IPR | IPR_USB1_D1FIFO1)
#define PDL_INTC_REG_IPR_USB1_USBI			(PDL_INTC_REG_IPR | IPR_USB1_USBI1)
#define PDL_INTC_REG_IPR_SPI0				(PDL_INTC_REG_IPR | IPR_RSPI0_)
#define PDL_INTC_REG_IPR_SPI1				(PDL_INTC_REG_IPR | IPR_RSPI1_)
#define PDL_INTC_REG_IPR_SPI2				(PDL_INTC_REG_IPR | IPR_RSPI2_)
#define PDL_INTC_REG_IPR_CAN0				(PDL_INTC_REG_IPR | IPR_CAN0_)
#define PDL_INTC_REG_IPR_CAN1				(PDL_INTC_REG_IPR | IPR_CAN1_)
#define PDL_INTC_REG_IPR_CAN2				(PDL_INTC_REG_IPR | IPR_CAN2_)
#define PDL_INTC_REG_IPR_RTC_CUP			(PDL_INTC_REG_IPR | IPR_RTC_CUP)
#define PDL_INTC_REG_IPR_ICU_IRQ0			(PDL_INTC_REG_IPR | IPR_ICU_IRQ0)
#define PDL_INTC_REG_IPR_ICU_IRQ1			(PDL_INTC_REG_IPR | IPR_ICU_IRQ1)
#define PDL_INTC_REG_IPR_ICU_IRQ2			(PDL_INTC_REG_IPR | IPR_ICU_IRQ2)
#define PDL_INTC_REG_IPR_ICU_IRQ3			(PDL_INTC_REG_IPR | IPR_ICU_IRQ3)
#define PDL_INTC_REG_IPR_ICU_IRQ4			(PDL_INTC_REG_IPR | IPR_ICU_IRQ4)
#define PDL_INTC_REG_IPR_ICU_IRQ5			(PDL_INTC_REG_IPR | IPR_ICU_IRQ5)
#define PDL_INTC_REG_IPR_ICU_IRQ6			(PDL_INTC_REG_IPR | IPR_ICU_IRQ6)
#define PDL_INTC_REG_IPR_ICU_IRQ7			(PDL_INTC_REG_IPR | IPR_ICU_IRQ7)
#define PDL_INTC_REG_IPR_ICU_IRQ8			(PDL_INTC_REG_IPR | IPR_ICU_IRQ8)
#define PDL_INTC_REG_IPR_ICU_IRQ9			(PDL_INTC_REG_IPR | IPR_ICU_IRQ9)
#define PDL_INTC_REG_IPR_ICU_IRQ10			(PDL_INTC_REG_IPR | IPR_ICU_IRQ10)
#define PDL_INTC_REG_IPR_ICU_IRQ11			(PDL_INTC_REG_IPR | IPR_ICU_IRQ11)
#define PDL_INTC_REG_IPR_ICU_IRQ12			(PDL_INTC_REG_IPR | IPR_ICU_IRQ12)
#define PDL_INTC_REG_IPR_ICU_IRQ13			(PDL_INTC_REG_IPR | IPR_ICU_IRQ13)
#define PDL_INTC_REG_IPR_ICU_IRQ14			(PDL_INTC_REG_IPR | IPR_ICU_IRQ14)
#define PDL_INTC_REG_IPR_ICU_IRQ15			(PDL_INTC_REG_IPR | IPR_ICU_IRQ15)
#define PDL_INTC_REG_IPR_USB0_USBR			(PDL_INTC_REG_IPR | IPR_USB_USBR0)
#define PDL_INTC_REG_IPR_USB1_USBR			(PDL_INTC_REG_IPR | IPR_USB_USBR1)
#define PDL_INTC_REG_IPR_RTC_ALM			(PDL_INTC_REG_IPR | IPR_RTC_ALM)
#define PDL_INTC_REG_IPR_RTC_PRD			(PDL_INTC_REG_IPR | IPR_RTC_PRD)
#define PDL_INTC_REG_IPR_AD_ADI				(PDL_INTC_REG_IPR | IPR_AD_ADI0)
#define PDL_INTC_REG_IPR_S12AD_S12ADI		(PDL_INTC_REG_IPR | IPR_S12AD_S12ADI0)
#define PDL_INTC_REG_IPR_ICU_GROUP0			(PDL_INTC_REG_IPR | IPR_ICU_GROUP0)
#define PDL_INTC_REG_IPR_ICU_GROUP1			(PDL_INTC_REG_IPR | IPR_ICU_GROUP1)
#define PDL_INTC_REG_IPR_ICU_GROUP2			(PDL_INTC_REG_IPR | IPR_ICU_GROUP2)
#define PDL_INTC_REG_IPR_ICU_GROUP3			(PDL_INTC_REG_IPR | IPR_ICU_GROUP3)
#define PDL_INTC_REG_IPR_ICU_GROUP4			(PDL_INTC_REG_IPR | IPR_ICU_GROUP4)
#define PDL_INTC_REG_IPR_ICU_GROUP5			(PDL_INTC_REG_IPR | IPR_ICU_GROUP5)
#define PDL_INTC_REG_IPR_ICU_GROUP6			(PDL_INTC_REG_IPR | IPR_ICU_GROUP6)
#define PDL_INTC_REG_IPR_ICU_GROUP12		(PDL_INTC_REG_IPR | IPR_ICU_GROUP12)
#define PDL_INTC_REG_IPR_SCI12_SCIX			(PDL_INTC_REG_IPR | IPR_SCI12_SCIX_)
#define PDL_INTC_REG_IPR_TPU0				(PDL_INTC_REG_IPR | IPR_TPU0_)
#define PDL_INTC_REG_IPR_TPU1				(PDL_INTC_REG_IPR | IPR_TPU1_)
#define PDL_INTC_REG_IPR_TPU2				(PDL_INTC_REG_IPR | IPR_TPU2_)
#define PDL_INTC_REG_IPR_TPU3				(PDL_INTC_REG_IPR | IPR_TPU3_)
#define PDL_INTC_REG_IPR_TPU4				(PDL_INTC_REG_IPR | IPR_TPU4_)
#define PDL_INTC_REG_IPR_TPU5				(PDL_INTC_REG_IPR | IPR_TPU5_)
#define PDL_INTC_REG_IPR_TPU6				(PDL_INTC_REG_IPR | IPR_TPU6_TGI6A)
#define PDL_INTC_REG_IPR_TPU7				(PDL_INTC_REG_IPR | IPR_TPU7_TGI7A)
#define PDL_INTC_REG_IPR_TPU8				(PDL_INTC_REG_IPR | IPR_TPU8_TGI8A)
#define PDL_INTC_REG_IPR_TPU9				(PDL_INTC_REG_IPR | IPR_TPU9_TGI9A)
#define PDL_INTC_REG_IPR_TPU10				(PDL_INTC_REG_IPR | IPR_TPU10_TGI10A)
#define PDL_INTC_REG_IPR_TPU11				(PDL_INTC_REG_IPR | IPR_TPU11_)
#define PDL_INTC_REG_IPR_MTU0_TGIAD			(PDL_INTC_REG_IPR | IPR_MTU0_TGIA0)
#define PDL_INTC_REG_IPR_MTU0_TGIEF			(PDL_INTC_REG_IPR | IPR_MTU0_TGIE0)
#define PDL_INTC_REG_IPR_MTU1				(PDL_INTC_REG_IPR | IPR_MTU1_TGIA1)
#define PDL_INTC_REG_IPR_MTU2				(PDL_INTC_REG_IPR | IPR_MTU2_TGIA2)
#define PDL_INTC_REG_IPR_MTU3				(PDL_INTC_REG_IPR | IPR_MTU3_TGIA3)
#define PDL_INTC_REG_IPR_MTU4_TGIAD			(PDL_INTC_REG_IPR | IPR_MTU4_TGIA4)
#define PDL_INTC_REG_IPR_MTU4_TCIV			(PDL_INTC_REG_IPR | IPR_MTU4_TCIV4)
#define PDL_INTC_REG_IPR_MTU5				(PDL_INTC_REG_IPR | IPR_MTU5_)
#define PDL_INTC_REG_IPR_POE				(PDL_INTC_REG_IPR | IPR_POE_)
#define PDL_INTC_REG_IPR_TMR0				(PDL_INTC_REG_IPR | IPR_TMR0_)
#define PDL_INTC_REG_IPR_TMR1				(PDL_INTC_REG_IPR | IPR_TMR1_)
#define PDL_INTC_REG_IPR_TMR2				(PDL_INTC_REG_IPR | IPR_TMR2_)
#define PDL_INTC_REG_IPR_TMR3				(PDL_INTC_REG_IPR | IPR_TMR3_)
#define PDL_INTC_REG_IPR_IIC0_EEI			(PDL_INTC_REG_IPR | IPR_RIIC0_EEI0)
#define PDL_INTC_REG_IPR_IIC0_RXI			(PDL_INTC_REG_IPR | IPR_RIIC0_RXI0)
#define PDL_INTC_REG_IPR_IIC0_TXI			(PDL_INTC_REG_IPR | IPR_RIIC0_TXI0)
#define PDL_INTC_REG_IPR_IIC0_TEI			(PDL_INTC_REG_IPR | IPR_RIIC0_TEI0)
#define PDL_INTC_REG_IPR_IIC1_EEI			(PDL_INTC_REG_IPR | IPR_RIIC1_EEI1)
#define PDL_INTC_REG_IPR_IIC1_RXI			(PDL_INTC_REG_IPR | IPR_RIIC1_RXI1)
#define PDL_INTC_REG_IPR_IIC1_TXI			(PDL_INTC_REG_IPR | IPR_RIIC1_TXI1)
#define PDL_INTC_REG_IPR_IIC1_TEI			(PDL_INTC_REG_IPR | IPR_RIIC1_TEI1)
#define PDL_INTC_REG_IPR_IIC2_EEI			(PDL_INTC_REG_IPR | IPR_RIIC2_EEI2)
#define PDL_INTC_REG_IPR_IIC2_RXI			(PDL_INTC_REG_IPR | IPR_RIIC2_RXI2)
#define PDL_INTC_REG_IPR_IIC2_TXI			(PDL_INTC_REG_IPR | IPR_RIIC2_TXI2)
#define PDL_INTC_REG_IPR_IIC2_TEI			(PDL_INTC_REG_IPR | IPR_RIIC2_TEI2)
#define PDL_INTC_REG_IPR_IIC3_EEI			(PDL_INTC_REG_IPR | IPR_RIIC3_EEI3)
#define PDL_INTC_REG_IPR_IIC3_RXI			(PDL_INTC_REG_IPR | IPR_RIIC3_RXI3)
#define PDL_INTC_REG_IPR_IIC3_TXI			(PDL_INTC_REG_IPR | IPR_RIIC3_TXI3)
#define PDL_INTC_REG_IPR_IIC3_TEI			(PDL_INTC_REG_IPR | IPR_RIIC3_TEI3)
#define PDL_INTC_REG_IPR_DMAC_DMAC0I		(PDL_INTC_REG_IPR | IPR_DMAC_DMAC0I)
#define PDL_INTC_REG_IPR_DMAC_DMAC1I		(PDL_INTC_REG_IPR | IPR_DMAC_DMAC1I)
#define PDL_INTC_REG_IPR_DMAC_DMAC2I		(PDL_INTC_REG_IPR | IPR_DMAC_DMAC2I)
#define PDL_INTC_REG_IPR_DMAC_DMAC3I		(PDL_INTC_REG_IPR | IPR_DMAC_DMAC3I)
#define PDL_INTC_REG_IPR_EXDMAC_EXDMAC0I	(PDL_INTC_REG_IPR | IPR_EXDMAC_EXDMAC0I)
#define PDL_INTC_REG_IPR_EXDMAC_EXDMAC1I	(PDL_INTC_REG_IPR | IPR_EXDMAC_EXDMAC1I)
#define PDL_INTC_REG_IPR_SCI0				(PDL_INTC_REG_IPR | IPR_SCI0_)
#define PDL_INTC_REG_IPR_SCI1				(PDL_INTC_REG_IPR | IPR_SCI1_)
#define PDL_INTC_REG_IPR_SCI2				(PDL_INTC_REG_IPR | IPR_SCI2_)
#define PDL_INTC_REG_IPR_SCI3				(PDL_INTC_REG_IPR | IPR_SCI3_)
#define PDL_INTC_REG_IPR_SCI4				(PDL_INTC_REG_IPR | IPR_SCI4_)
#define PDL_INTC_REG_IPR_SCI5				(PDL_INTC_REG_IPR | IPR_SCI5_)
#define PDL_INTC_REG_IPR_SCI6				(PDL_INTC_REG_IPR | IPR_SCI6_)
#define PDL_INTC_REG_IPR_SCI7				(PDL_INTC_REG_IPR | IPR_SCI7_)
#define PDL_INTC_REG_IPR_SCI8				(PDL_INTC_REG_IPR | IPR_SCI8_)
#define PDL_INTC_REG_IPR_SCI9				(PDL_INTC_REG_IPR | IPR_SCI9_)
#define PDL_INTC_REG_IPR_SCI10				(PDL_INTC_REG_IPR | IPR_SCI10_)
#define PDL_INTC_REG_IPR_SCI11				(PDL_INTC_REG_IPR | IPR_SCI11_)
#define PDL_INTC_REG_IPR_SCI12				(PDL_INTC_REG_IPR | IPR_SCI12_)
#define PDL_INTC_REG_IPR_IEB				(PDL_INTC_REG_IPR | IPR_IEB_)

/* DTCER registers */
#define PDL_INTC_REG_DTCER_ICU_SWINT		(PDL_INTC_REG_DTCER | DTCE_ICU_SWINT)
#define PDL_INTC_REG_DTCER_CMT0_CMI			(PDL_INTC_REG_DTCER | DTCE_CMT0_CMI0)
#define PDL_INTC_REG_DTCER_CMT1_CMI			(PDL_INTC_REG_DTCER | DTCE_CMT1_CMI1)
#define PDL_INTC_REG_DTCER_CMT2_CMI			(PDL_INTC_REG_DTCER | DTCE_CMT2_CMI2)
#define PDL_INTC_REG_DTCER_CMT3_CMI			(PDL_INTC_REG_DTCER | DTCE_CMT3_CMI3)
#define PDL_INTC_REG_DTCER_USB0_D0FIFO		(PDL_INTC_REG_DTCER | DTCE_USB0_D0FIFO0)
#define PDL_INTC_REG_DTCER_USB0_D1FIFO		(PDL_INTC_REG_DTCER | DTCE_USB0_D1FIFO0)
#define PDL_INTC_REG_DTCER_USB1_D0FIFO		(PDL_INTC_REG_DTCER | DTCE_USB1_D0FIFO1)
#define PDL_INTC_REG_DTCER_USB1_D1FIFO		(PDL_INTC_REG_DTCER | DTCE_USB1_D1FIFO1)
#define PDL_INTC_REG_DTCER_SPI0_SPRI		(PDL_INTC_REG_DTCER | DTCE_RSPI0_SPRI0)
#define PDL_INTC_REG_DTCER_SPI0_SPTI		(PDL_INTC_REG_DTCER | DTCE_RSPI0_SPTI0)
#define PDL_INTC_REG_DTCER_SPI1_SPRI		(PDL_INTC_REG_DTCER | DTCE_RSPI1_SPRI1)
#define PDL_INTC_REG_DTCER_SPI1_SPTI		(PDL_INTC_REG_DTCER | DTCE_RSPI1_SPTI1)
#define PDL_INTC_REG_DTCER_SPI2_SPRI		(PDL_INTC_REG_DTCER | DTCE_RSPI2_SPRI2)
#define PDL_INTC_REG_DTCER_SPI2_SPTI		(PDL_INTC_REG_DTCER | DTCE_RSPI2_SPTI2)
#define PDL_INTC_REG_DTCER_ICU_IRQ0			(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ0)
#define PDL_INTC_REG_DTCER_ICU_IRQ1			(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ1)
#define PDL_INTC_REG_DTCER_ICU_IRQ2			(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ2)
#define PDL_INTC_REG_DTCER_ICU_IRQ3			(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ3)
#define PDL_INTC_REG_DTCER_ICU_IRQ4			(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ4)
#define PDL_INTC_REG_DTCER_ICU_IRQ5			(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ5)
#define PDL_INTC_REG_DTCER_ICU_IRQ6			(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ6)
#define PDL_INTC_REG_DTCER_ICU_IRQ7			(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ7)
#define PDL_INTC_REG_DTCER_ICU_IRQ8			(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ8)
#define PDL_INTC_REG_DTCER_ICU_IRQ9			(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ9)
#define PDL_INTC_REG_DTCER_ICU_IRQ10		(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ10)
#define PDL_INTC_REG_DTCER_ICU_IRQ11		(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ11)
#define PDL_INTC_REG_DTCER_ICU_IRQ12		(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ12)
#define PDL_INTC_REG_DTCER_ICU_IRQ13		(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ13)
#define PDL_INTC_REG_DTCER_ICU_IRQ14		(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ14)
#define PDL_INTC_REG_DTCER_ICU_IRQ15		(PDL_INTC_REG_DTCER | DTCE_ICU_IRQ15)
#define PDL_INTC_REG_DTCER_AD_ADI			(PDL_INTC_REG_DTCER | DTCE_AD_ADI0)
#define PDL_INTC_REG_DTCER_S12AD_S12ADI		(PDL_INTC_REG_DTCER | DTCE_S12AD_S12ADI0)
#define PDL_INTC_REG_DTCER_TPU0_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU0_TGI0A)
#define PDL_INTC_REG_DTCER_TPU0_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU0_TGI0B)
#define PDL_INTC_REG_DTCER_TPU0_TGIC		(PDL_INTC_REG_DTCER | DTCE_TPU0_TGI0C)
#define PDL_INTC_REG_DTCER_TPU0_TGID		(PDL_INTC_REG_DTCER | DTCE_TPU0_TGI0D)
#define PDL_INTC_REG_DTCER_TPU1_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU1_TGI1A)
#define PDL_INTC_REG_DTCER_TPU1_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU1_TGI1B)
#define PDL_INTC_REG_DTCER_TPU2_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU2_TGI2A)
#define PDL_INTC_REG_DTCER_TPU2_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU2_TGI2B)
#define PDL_INTC_REG_DTCER_TPU3_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU3_TGI3A)
#define PDL_INTC_REG_DTCER_TPU3_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU3_TGI3B)
#define PDL_INTC_REG_DTCER_TPU3_TGIC		(PDL_INTC_REG_DTCER | DTCE_TPU3_TGI3C)
#define PDL_INTC_REG_DTCER_TPU3_TGID		(PDL_INTC_REG_DTCER | DTCE_TPU3_TGI3D)
#define PDL_INTC_REG_DTCER_TPU4_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU4_TGI4A)
#define PDL_INTC_REG_DTCER_TPU4_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU4_TGI4B)
#define PDL_INTC_REG_DTCER_TPU5_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU5_TGI5A)
#define PDL_INTC_REG_DTCER_TPU5_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU5_TGI5B)
#define PDL_INTC_REG_DTCER_TPU6_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU6_TGI6A)
#define PDL_INTC_REG_DTCER_TPU6_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU6_TGI6B)
#define PDL_INTC_REG_DTCER_TPU6_TGIC		(PDL_INTC_REG_DTCER | DTCE_TPU6_TGI6C)
#define PDL_INTC_REG_DTCER_TPU6_TGID		(PDL_INTC_REG_DTCER | DTCE_TPU6_TGI6D)
#define PDL_INTC_REG_DTCER_TPU7_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU7_TGI7A)
#define PDL_INTC_REG_DTCER_TPU7_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU7_TGI7B)
#define PDL_INTC_REG_DTCER_TPU8_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU8_TGI8A)
#define PDL_INTC_REG_DTCER_TPU8_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU8_TGI8B)
#define PDL_INTC_REG_DTCER_TPU9_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU9_TGI9A)
#define PDL_INTC_REG_DTCER_TPU9_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU9_TGI9B)
#define PDL_INTC_REG_DTCER_TPU9_TGIC		(PDL_INTC_REG_DTCER | DTCE_TPU9_TGI9C)
#define PDL_INTC_REG_DTCER_TPU9_TGID		(PDL_INTC_REG_DTCER | DTCE_TPU9_TGI9D)
#define PDL_INTC_REG_DTCER_TPU10_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU10_TGI10A)
#define PDL_INTC_REG_DTCER_TPU10_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU10_TGI10B)
#define PDL_INTC_REG_DTCER_TPU11_TGIA		(PDL_INTC_REG_DTCER | DTCE_TPU11_TGI11A)
#define PDL_INTC_REG_DTCER_TPU11_TGIB		(PDL_INTC_REG_DTCER | DTCE_TPU11_TGI11B)
#define PDL_INTC_REG_DTCER_MTU0_TGIA		(PDL_INTC_REG_DTCER | DTCE_MTU0_TGIA0)
#define PDL_INTC_REG_DTCER_MTU0_TGIB		(PDL_INTC_REG_DTCER | DTCE_MTU0_TGIB0)
#define PDL_INTC_REG_DTCER_MTU0_TGIC		(PDL_INTC_REG_DTCER | DTCE_MTU0_TGIC0)
#define PDL_INTC_REG_DTCER_MTU0_TGID		(PDL_INTC_REG_DTCER | DTCE_MTU0_TGID0)
#define PDL_INTC_REG_DTCER_MTU1_TGIA		(PDL_INTC_REG_DTCER | DTCE_MTU1_TGIA1)
#define PDL_INTC_REG_DTCER_MTU1_TGIB		(PDL_INTC_REG_DTCER | DTCE_MTU1_TGIB1)
#define PDL_INTC_REG_DTCER_MTU2_TGIA		(PDL_INTC_REG_DTCER | DTCE_MTU2_TGIA2)
#define PDL_INTC_REG_DTCER_MTU2_TGIB		(PDL_INTC_REG_DTCER | DTCE_MTU2_TGIB2)
#define PDL_INTC_REG_DTCER_MTU3_TGIA		(PDL_INTC_REG_DTCER | DTCE_MTU3_TGIA3)
#define PDL_INTC_REG_DTCER_MTU3_TGIB		(PDL_INTC_REG_DTCER | DTCE_MTU3_TGIB3)
#define PDL_INTC_REG_DTCER_MTU3_TGIC		(PDL_INTC_REG_DTCER | DTCE_MTU3_TGIC3)
#define PDL_INTC_REG_DTCER_MTU3_TGID		(PDL_INTC_REG_DTCER | DTCE_MTU3_TGID3)
#define PDL_INTC_REG_DTCER_MTU4_TGIA		(PDL_INTC_REG_DTCER | DTCE_MTU4_TGIA4)
#define PDL_INTC_REG_DTCER_MTU4_TGIB		(PDL_INTC_REG_DTCER | DTCE_MTU4_TGIB4)
#define PDL_INTC_REG_DTCER_MTU4_TGIC		(PDL_INTC_REG_DTCER | DTCE_MTU4_TGIC4)
#define PDL_INTC_REG_DTCER_MTU4_TGID		(PDL_INTC_REG_DTCER | DTCE_MTU4_TGID4)
#define PDL_INTC_REG_DTCER_MTU4_TCIV		(PDL_INTC_REG_DTCER | DTCE_MTU4_TCIV4)
#define PDL_INTC_REG_DTCER_MTU5_TGIU		(PDL_INTC_REG_DTCER | DTCE_MTU5_TGIU5)
#define PDL_INTC_REG_DTCER_MTU5_TGIV		(PDL_INTC_REG_DTCER | DTCE_MTU5_TGIV5)
#define PDL_INTC_REG_DTCER_MTU5_TGIW		(PDL_INTC_REG_DTCER | DTCE_MTU5_TGIW5)
#define PDL_INTC_REG_DTCER_TMR0_CMIA		(PDL_INTC_REG_DTCER | DTCE_TMR0_CMIA0)
#define PDL_INTC_REG_DTCER_TMR0_CMIB		(PDL_INTC_REG_DTCER | DTCE_TMR0_CMIB0)
#define PDL_INTC_REG_DTCER_TMR1_CMIA		(PDL_INTC_REG_DTCER | DTCE_TMR1_CMIA1)
#define PDL_INTC_REG_DTCER_TMR1_CMIB		(PDL_INTC_REG_DTCER | DTCE_TMR1_CMIB1)
#define PDL_INTC_REG_DTCER_TMR2_CMIA		(PDL_INTC_REG_DTCER | DTCE_TMR2_CMIA2)
#define PDL_INTC_REG_DTCER_TMR2_CMIB		(PDL_INTC_REG_DTCER | DTCE_TMR2_CMIB2)
#define PDL_INTC_REG_DTCER_TMR3_CMIA		(PDL_INTC_REG_DTCER | DTCE_TMR3_CMIA3)
#define PDL_INTC_REG_DTCER_TMR3_CMIB		(PDL_INTC_REG_DTCER | DTCE_TMR3_CMIB3)
#define PDL_INTC_REG_DTCER_IIC0_RXI			(PDL_INTC_REG_DTCER | DTCE_RIIC0_RXI0)
#define PDL_INTC_REG_DTCER_IIC0_TXI			(PDL_INTC_REG_DTCER | DTCE_RIIC0_TXI0)
#define PDL_INTC_REG_DTCER_IIC1_RXI			(PDL_INTC_REG_DTCER | DTCE_RIIC1_RXI1)
#define PDL_INTC_REG_DTCER_IIC1_TXI			(PDL_INTC_REG_DTCER | DTCE_RIIC1_TXI1)
#define PDL_INTC_REG_DTCER_IIC2_RXI			(PDL_INTC_REG_DTCER | DTCE_RIIC2_RXI2)
#define PDL_INTC_REG_DTCER_IIC2_TXI			(PDL_INTC_REG_DTCER | DTCE_RIIC2_TXI2)
#define PDL_INTC_REG_DTCER_IIC3_RXI			(PDL_INTC_REG_DTCER | DTCE_RIIC3_RXI3)
#define PDL_INTC_REG_DTCER_IIC3_TXI			(PDL_INTC_REG_DTCER | DTCE_RIIC3_TXI3)
#define PDL_INTC_REG_DTCER_DMAC_DMAC0I		(PDL_INTC_REG_DTCER | DTCE_DMAC_DMAC0I)
#define PDL_INTC_REG_DTCER_DMAC_DMAC1I		(PDL_INTC_REG_DTCER | DTCE_DMAC_DMAC1I)
#define PDL_INTC_REG_DTCER_DMAC_DMAC2I		(PDL_INTC_REG_DTCER | DTCE_DMAC_DMAC2I)
#define PDL_INTC_REG_DTCER_DMAC_DMAC3I		(PDL_INTC_REG_DTCER | DTCE_DMAC_DMAC3I)
#define PDL_INTC_REG_DTCER_EXDMAC_EXDMAC0I	(PDL_INTC_REG_DTCER | DTCE_EXDMAC_EXDMAC0I)
#define PDL_INTC_REG_DTCER_EXDMAC_EXDMAC1I	(PDL_INTC_REG_DTCER | DTCE_EXDMAC_EXDMAC1I)
#define PDL_INTC_REG_DTCER_SCI0_RXI			(PDL_INTC_REG_DTCER | DTCE_SCI0_RXI0)
#define PDL_INTC_REG_DTCER_SCI0_TXI			(PDL_INTC_REG_DTCER | DTCE_SCI0_TXI0)
#define PDL_INTC_REG_DTCER_SCI1_RXI			(PDL_INTC_REG_DTCER | DTCE_SCI1_RXI1)
#define PDL_INTC_REG_DTCER_SCI1_TXI			(PDL_INTC_REG_DTCER | DTCE_SCI1_TXI1)
#define PDL_INTC_REG_DTCER_SCI2_RXI			(PDL_INTC_REG_DTCER | DTCE_SCI2_RXI2)
#define PDL_INTC_REG_DTCER_SCI2_TXI			(PDL_INTC_REG_DTCER | DTCE_SCI2_TXI2)
#define PDL_INTC_REG_DTCER_SCI3_RXI			(PDL_INTC_REG_DTCER | DTCE_SCI3_RXI3)
#define PDL_INTC_REG_DTCER_SCI3_TXI			(PDL_INTC_REG_DTCER | DTCE_SCI3_TXI3)
#define PDL_INTC_REG_DTCER_SCI4_RXI			(PDL_INTC_REG_DTCER | DTCE_SCI4_RXI4)
#define PDL_INTC_REG_DTCER_SCI4_TXI			(PDL_INTC_REG_DTCER | DTCE_SCI4_TXI4)
#define PDL_INTC_REG_DTCER_SCI5_RXI			(PDL_INTC_REG_DTCER | DTCE_SCI5_RXI5)
#define PDL_INTC_REG_DTCER_SCI5_TXI			(PDL_INTC_REG_DTCER | DTCE_SCI5_TXI5)
#define PDL_INTC_REG_DTCER_SCI6_RXI			(PDL_INTC_REG_DTCER | DTCE_SCI6_RXI6)
#define PDL_INTC_REG_DTCER_SCI6_TXI			(PDL_INTC_REG_DTCER | DTCE_SCI6_TXI6)
#define PDL_INTC_REG_DTCER_SCI7_RXI			(PDL_INTC_REG_DTCER | DTCE_SCI7_RXI7)
#define PDL_INTC_REG_DTCER_SCI7_TXI			(PDL_INTC_REG_DTCER | DTCE_SCI7_TXI7)
#define PDL_INTC_REG_DTCER_SCI8_RXI			(PDL_INTC_REG_DTCER | DTCE_SCI8_RXI8)
#define PDL_INTC_REG_DTCER_SCI8_TXI			(PDL_INTC_REG_DTCER | DTCE_SCI8_TXI8)
#define PDL_INTC_REG_DTCER_SCI9_RXI			(PDL_INTC_REG_DTCER | DTCE_SCI9_RXI9)
#define PDL_INTC_REG_DTCER_SCI9_TXI			(PDL_INTC_REG_DTCER | DTCE_SCI9_TXI9)
#define PDL_INTC_REG_DTCER_SCI10_RXI		(PDL_INTC_REG_DTCER | DTCE_SCI10_RXI10)
#define PDL_INTC_REG_DTCER_SCI10_TXI		(PDL_INTC_REG_DTCER | DTCE_SCI10_TXI10)
#define PDL_INTC_REG_DTCER_SCI11_RXI		(PDL_INTC_REG_DTCER | DTCE_SCI11_RXI11)
#define PDL_INTC_REG_DTCER_SCI11_TXI		(PDL_INTC_REG_DTCER | DTCE_SCI11_TXI11)
#define PDL_INTC_REG_DTCER_SCI12_RXI		(PDL_INTC_REG_DTCER | DTCE_SCI12_RXI12)
#define PDL_INTC_REG_DTCER_SCI12_TXI		(PDL_INTC_REG_DTCER | DTCE_SCI12_TXI12)

/* Group operations */
#define PDL_INTC_GROUP_DISABLE	0x01u
#define PDL_INTC_GROUP_CLEAR	0x02u
#define PDL_INTC_GROUP_ENABLE	0x04u

/* Group 0 selections */
#define PDL_INTC_GRP0_ERS0		0x00000001ul
#define PDL_INTC_GRP0_ERS1		0x00000002ul
#define PDL_INTC_GRP0_ERS2		0x00000004ul
#define PDL_INTC_GRP0_ALL		(PDL_INTC_GRP0_ERS0 | \
								 PDL_INTC_GRP0_ERS1 | \
								 PDL_INTC_GRP0_ERS2)

/* Group 1 selections */
#define PDL_INTC_GRP1_TCIV0		0x00000001ul
#define PDL_INTC_GRP1_TCIV1		0x00000002ul
#define PDL_INTC_GRP1_TCIU1		0x00000004ul
#define PDL_INTC_GRP1_ALL		(PDL_INTC_GRP1_TCIV0 | \
								 PDL_INTC_GRP1_TCIV1 | \
								 PDL_INTC_GRP1_TCIU1)

/* Group 2 selections */
#define PDL_INTC_GRP2_TCIV2		0x00000001ul
#define PDL_INTC_GRP2_TCIU2		0x00000002ul
#define PDL_INTC_GRP2_TCIV3		0x00000004ul
#define PDL_INTC_GRP2_ALL		(PDL_INTC_GRP2_TCIV2 | \
								 PDL_INTC_GRP2_TCIU2 | \
								 PDL_INTC_GRP2_TCIV3)

/* Group 3 selections */
#define PDL_INTC_GRP3_TCI0V		0x00000001ul
#define PDL_INTC_GRP3_TCI1V		0x00000002ul
#define PDL_INTC_GRP3_TCI1U		0x00000004ul
#define PDL_INTC_GRP3_TCI5V		0x00000008ul
#define PDL_INTC_GRP3_TCI5U		0x00000010ul
#define PDL_INTC_GRP3_ALL		(PDL_INTC_GRP3_TCI0V | \
								 PDL_INTC_GRP3_TCI1V | \
								 PDL_INTC_GRP3_TCI1U | \
								 PDL_INTC_GRP3_TCI5V | \
								 PDL_INTC_GRP3_TCI5U)

/* Group 4 selections */
#define PDL_INTC_GRP4_TCI2V		0x00000001ul
#define PDL_INTC_GRP4_TCI2U		0x00000002ul
#define PDL_INTC_GRP4_TCI3V		0x00000004ul
#define PDL_INTC_GRP4_TCI4V		0x00000008ul
#define PDL_INTC_GRP4_TCI4U		0x00000010ul
#define PDL_INTC_GRP4_ALL		(PDL_INTC_GRP4_TCI2V | \
								 PDL_INTC_GRP4_TCI2U | \
								 PDL_INTC_GRP4_TCI3V | \
								 PDL_INTC_GRP4_TCI4V | \
								 PDL_INTC_GRP4_TCI4U)

/* Group 5 selections */
#define PDL_INTC_GRP5_TCI6V		0x00000001ul
#define PDL_INTC_GRP5_TCI7V		0x00000002ul
#define PDL_INTC_GRP5_TCI7U		0x00000004ul
#define PDL_INTC_GRP5_TCI11V	0x00000008ul
#define PDL_INTC_GRP5_TCI11U	0x00000010ul
#define PDL_INTC_GRP5_ALL		(PDL_INTC_GRP5_TCI6V | \
								 PDL_INTC_GRP5_TCI7V | \
								 PDL_INTC_GRP5_TCI7U | \
								 PDL_INTC_GRP5_TCI11V | \
								 PDL_INTC_GRP5_TCI11U)

/* Group 6 selections */
#define PDL_INTC_GRP6_TCI8V		0x00000001ul
#define PDL_INTC_GRP6_TCI8U		0x00000002ul
#define PDL_INTC_GRP6_TCI9V		0x00000004ul
#define PDL_INTC_GRP6_TCI10V	0x00000008ul
#define PDL_INTC_GRP6_TCI10U	0x00000010ul
#define PDL_INTC_GRP6_ALL		(PDL_INTC_GRP6_TCI8V | \
								 PDL_INTC_GRP6_TCI8U | \
								 PDL_INTC_GRP6_TCI9V | \
								 PDL_INTC_GRP6_TCI10V | \
								 PDL_INTC_GRP6_TCI10U)

/* Group 12 selections */
#define PDL_INTC_GRP12_ERI0		0x00000001ul
#define PDL_INTC_GRP12_ERI1		0x00000002ul
#define PDL_INTC_GRP12_ERI2		0x00000004ul
#define PDL_INTC_GRP12_ERI3		0x00000008ul
#define PDL_INTC_GRP12_ERI4		0x00000010ul
#define PDL_INTC_GRP12_ERI5		0x00000020ul
#define PDL_INTC_GRP12_ERI6		0x00000040ul
#define PDL_INTC_GRP12_ERI7		0x00000080ul
#define PDL_INTC_GRP12_ERI8		0x00000100ul
#define PDL_INTC_GRP12_ERI9		0x00000200ul
#define PDL_INTC_GRP12_ERI10	0x00000400ul
#define PDL_INTC_GRP12_ERI11	0x00000800ul
#define PDL_INTC_GRP12_ERI12	0x00001000ul
#define PDL_INTC_GRP12_SPEI0	0x00002000ul
#define PDL_INTC_GRP12_SPEI1	0x00004000ul
#define PDL_INTC_GRP12_SPEI2	0x00008000ul
#define PDL_INTC_GRP12_ALL		(PDL_INTC_GRP12_ERI0 | \
								 PDL_INTC_GRP12_ERI1 | \
								 PDL_INTC_GRP12_ERI2 | \
								 PDL_INTC_GRP12_ERI3 | \
								 PDL_INTC_GRP12_ERI4 | \
								 PDL_INTC_GRP12_ERI5 | \
								 PDL_INTC_GRP12_ERI6 | \
								 PDL_INTC_GRP12_ERI7 | \
								 PDL_INTC_GRP12_ERI8 | \
								 PDL_INTC_GRP12_ERI9 | \
								 PDL_INTC_GRP12_ERI10 | \
								 PDL_INTC_GRP12_ERI11 | \
								 PDL_INTC_GRP12_ERI12 | \
								 PDL_INTC_GRP12_SPEI0 | \
								 PDL_INTC_GRP12_SPEI1 | \
								 PDL_INTC_GRP12_SPEI2)

/* MTU or TPU interrupt selection */
#define PDL_INTC_SEL_MTU0	0x0001u
#define PDL_INTC_SEL_TPU6	0x0002u
#define PDL_INTC_SEL_MTU1	0x0004u
#define PDL_INTC_SEL_TPU7	0x0008u
#define PDL_INTC_SEL_MTU2	0x0010u
#define PDL_INTC_SEL_TPU8	0x0020u
#define PDL_INTC_SEL_MTU3	0x0040u
#define PDL_INTC_SEL_TPU9	0x0080u
#define PDL_INTC_SEL_MTU4	0x0100u
#define PDL_INTC_SEL_TPU10	0x0200u
#define PDL_INTC_SEL_MTU5	0x0400u
#define PDL_INTC_SEL_TPU11	0x0800u

#endif
/* End of file */
